Package: grails.util

## [Groovy] Class GrailsWebMockUtil

- grails.util.GrailsWebMockUtil

- Authors:
    Jeff Brown
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static GrailsWebRequest` | `bindMockWebRequest(org.springframework.web.context.WebApplicationContext ctx)` Binds a Mock implementation of a GrailsWebRequest object to the current thread.
    `` | `static GrailsWebRequest` | `bindMockWebRequest(org.springframework.context.ApplicationContext ctx, org.springframework.mock.web.MockHttpServletRequest request, org.springframework.mock.web.MockHttpServletResponse response)` Binds a Mock implementation of a GrailsWebRequest object to the current thread.
    `` | `static GrailsWebRequest` | `bindMockWebRequest()` Binds a Mock implementation of a GrailsWebRequest object to the current thread.
    `` | `static GrailsWebRequest` | `bindMockWebRequest(javax.servlet.ServletContext servletContext, org.springframework.mock.web.MockHttpServletRequest request, org.springframework.mock.web.MockHttpServletResponse response)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static GrailsWebRequest bindMockWebRequest(org.springframework.web.context.WebApplicationContext ctx)

      Binds a Mock implementation of a GrailsWebRequest object to the current thread. The mock version uses instances of the Spring MockHttpServletRequest, MockHttpServletResponse and MockServletContext classes.

      Parameters:
        `ctx` - The WebApplicationContext to use
      Returns:
        The GrailsWebRequest instance
      See Also:
        org.springframework.mock.web.MockHttpServletRequest
        org.springframework.mock.web.MockHttpServletResponse
        org.springframework.mock.web.MockServletContext

    - #### static GrailsWebRequest bindMockWebRequest(org.springframework.context.ApplicationContext ctx, org.springframework.mock.web.MockHttpServletRequest request, org.springframework.mock.web.MockHttpServletResponse response)

      Binds a Mock implementation of a GrailsWebRequest object to the current thread. The mock version uses instances of the Spring MockHttpServletRequest, MockHttpServletResponse and MockServletContext classes.

      Parameters:
        `ctx` - The WebApplicationContext to use
        `request` - The request
        `response` - The response
      Returns:
        The GrailsWebRequest instance
      See Also:
        org.springframework.mock.web.MockHttpServletRequest
        org.springframework.mock.web.MockHttpServletResponse
        org.springframework.mock.web.MockServletContext

    - #### static GrailsWebRequest bindMockWebRequest()

      Binds a Mock implementation of a GrailsWebRequest object to the current thread. The mock version uses instances of the Spring MockHttpServletRequest, MockHttpServletResponse and MockServletContext classes.

      Returns:
        The GrailsWebRequest instance
      See Also:
        org.springframework.mock.web.MockHttpServletRequest
        org.springframework.mock.web.MockHttpServletResponse
        org.springframework.mock.web.MockServletContext

    - #### static GrailsWebRequest bindMockWebRequest(javax.servlet.ServletContext servletContext, org.springframework.mock.web.MockHttpServletRequest request, org.springframework.mock.web.MockHttpServletResponse response)